Package org.apache.lucene.benchmark.byTask.feeds

# Interface SpatialDocMaker.ShapeConverter

Enclosing class:
  `SpatialDocMaker`

public static interface SpatialDocMaker.ShapeConverter
Converts one shape to another. Created by `SpatialDocMaker.makeShapeConverter(org.apache.lucene.spatial.SpatialStrategy, org.apache.lucene.benchmark.byTask.utils.Config, String)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.locationtech.spatial4j.shape.Shape`
  `convert(org.locationtech.spatial4j.shape.Shape shape)`

- ## Method Details

  - ### convert

    org.locationtech.spatial4j.shape.Shape convert(org.locationtech.spatial4j.shape.Shape shape)